PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Shell

> like words

`$PID``( -- pid )``` => `"EXTENSIONS"`

  calls system's `getpid`

  primitive code = [p4_getpid]

`$UID``( -- val )``` => `"EXTENSIONS"`

  calls system's `getuid`

  primitive code = [p4_getuid]

`$EUID``( -- val )``` => `"EXTENSIONS"`

  calls system's `geteuid`

  primitive code = [p4_geteuid]

`$GID``( -- val )``` => `"EXTENSIONS"`

  calls system's `getgid`

  primitive code = [p4_getgid]

`UMASK``( val -- ret )``` => `"EXTENSIONS"`

  calls system's `umask`

  primitive code = [p4_umask]

`$HOME``( -- str-ptr str-len )``` => `"EXTENSIONS"`

  calls system's `getenv(HOME)`

  primitive code = [p4_home]

`$USER``( -- str-ptr str-len )``` => `"EXTENSIONS"`

  calls system's `getenv(USER)`

  primitive code = [p4_user]

`$CWD``( -- str-ptr str-len )``` => `"EXTENSIONS"`

  calls system's `getcwd`

  primitive code = [p4_cwd]

`PWD``( -- )``` => `"EXTENSIONS"`

  calls system's `getcwd` and prints it to the screen

        : PWD  $CWD TYPE ;

  primitive code = [p4_pwd]

`RM``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_remove]

`TOUCH``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_touch]

`CHDIR``( bstring -- )``` => `"EXTENSIONS"`

  change the current directory. ( (under VxWorks it is global! do not use in scripts!!) )

  primitive code = [p4_chdir]

`RMDIR``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_rmdir]

`MKDIR``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_md]

`LN``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_link]

`MV``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_mv]

`LL``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_ll]

`LS``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_ls]

`CP``` => `"EXTENSIONS"`

  (no description)

  compiling word = [p4_cp]